#include <iostream>
#include <fstream>
#include <cstdlib>
#include <vector>
#include <cstring>
#include <set>
#include <algorithm>
 
using namespace std;
 

int main(int argc, char *argv[])
{
	ios_base::sync_with_stdio(0);
	string infile = getenv("SPRW_WORKING_DIR"); infile+="/taskdata/"; infile+=getenv("SPR_infile");
	ifstream in(infile.c_str());
	
	// input
	int lz;
	in >> lz;
	while(lz--){
		int n;
		in >> n;
		set<int> inputSet;
		for(int i=0; i<n; ++i){
			int a;
			in >> a;
			inputSet.insert(a);
		}
		
		set<int> resSet;
		vector<int> resVector;
		
		int suma = 0;
		for(int i=0; i<n; ++i){
			int a;
			cin >> a; if(cin.fail()) return 1;
			resSet.insert(a);
			resVector.push_back(a);
		}
		
		if ( resSet != inputSet ) return 1;
		
		bool rosnacy = true;
		bool malejacy = true;
		
		for ( int i = 1; i < n; i++){
			if ( resVector[i] >= resVector[i-1] ) malejacy = false;
			else if ( resVector[i] <= resVector[i-1] ) rosnacy = false;
		}
		
		if ( rosnacy || malejacy ) return 1;
	}
	
	return 0;
}
